Name:           python-pynvim
Version:        0.4.3
Release:        1%{?dist}
Summary:        Python client to neovim

License:        ASL 2.0
URL:            http://github.com/neovim/pynvim
Source:         %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  %{py3_dist pytest}
BuildRequires:  %{py3_dist pytest-timeout}
BuildRequires:  neovim

Requires:       neovim


%global _description %{expand:
Pynvim implements support for python plugins in Nvim. It also works as a library for connecting to and scripting Nvim processes through its msgpack-rpc API.}


%description
%wordwrap

%package -n     python3-pynvim
Summary:        %{summary}

%description -n python3-pynvim
%wordwrap


%prep
%autosetup -p1 -n pynvim-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files neovim pynvim


%check
%pytest


%files -n python3-pynvim -f %{pyproject_files}
%doc README.md
%license LICENSE


%changelog
* Mon Jun 27 2022 Maxwell G <gotmax@e.email> - 0.4.3-1
- Initial package
